/*
 * Declarations for the "cdecl99" utility sources.
 * Copyright © 2021 Nick Bowler
 *
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program.  If not, see <https://www.gnu.org/licenses/>.
 */

#ifndef CDECL99_H_
#define CDECL99_H_

#include <gettext.h>
#define _(x) gettext(x)

enum { INPUT_C, INPUT_ENGLISH };
enum { OUTPUT_C, OUTPUT_ENGLISH };

int run_command(const char *line, int batch);
int run_command_cdecl(const char *s, int input_mode, int output_mode);

void print_error(const char *fmt, ...);

#endif
