/*
 * Copyright © 2023-2024 Nick Bowler
 *
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program.  If not, see <https://www.gnu.org/licenses/>.
 */

#ifndef CDECL99_VERSION_H_
#define CDECL99_VERSION_H_

#define version_blurb(s, copyright) \
	s "\n" \
	copyright "2024 Nick Bowler\n" \
	"License GPLv3+: GNU GPL version 3 or any later version.\n" \
	"This is free software: you are free to change and redistribute it.\n" \
	"There is NO WARRANTY, to the extent permitted by law." \

#if ENABLE_NLS && !VERSION_NO_COPYRIGHT_SYMBOL
#include <localcharset.h>
#include "copysym.h"

#define do_print_version(s) do { \
	printf(version_blurb(s, "Copyright %s ")"\n", \
               copyright_symbol(locale_charset())); \
} while (0)
#else
#define do_print_version(s) do { \
	puts(version_blurb(s, "Copyright (C) ")); \
} while (0)
#endif

#endif
